Subject: Re: Perl 5.003_90 Configure recursion using beta 17.1e
From: [email-masked] (Jim Balter)

1 Mar 1997 09:27:34 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Fergus Henderson <[email-masked]>
Original-CC: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Fergus Henderson wrote:
> 
> Jim Balter, you wrote:
> > -m is a no-op in b17.
> 
> Oh.  Why??

Well, I can't read Geoff Noer's mind, only his code, and he doesn't seem
to post much here other than press releases, but I assume
because it never worked right in the first place and when he rewrote the
path code he didn't have the time or the inclination to make it work.
Two obvious problems with the old code were that readdir did the
conversion whether the path was mounted -m or not, and /UP/down got
converted into /^up/^down because the encoding didn't reset at each /,
and that would readdir as DOWN.  And then there's the fact that NTFS
sort of provides case sensitivity via FILE_FLAG_POSIX_SEMANTICS, so
maybe that should be used when possible.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".